summaryrefslogtreecommitdiffstats
path: root/regressions
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2009-07-11 21:27:23 +0100
committerRichard W.M. Jones <rjones@redhat.com>2009-07-11 21:27:23 +0100
commit8d167a98eca95352e36775068bbc0d90f3009edb (patch)
tree045c31ddd43a36b9127358bcc1c6a3ce6380bf44 /regressions
parent625d0bd56189450f48b6308371bf08ee6312d59f (diff)
downloadlibguestfs-8d167a98eca95352e36775068bbc0d90f3009edb.tar.gz
libguestfs-8d167a98eca95352e36775068bbc0d90f3009edb.tar.xz
libguestfs-8d167a98eca95352e36775068bbc0d90f3009edb.zip
Regression test: Test reopening the handle in the same process.
Diffstat (limited to 'regressions')
-rw-r--r--regressions/Makefile.am3
-rwxr-xr-xregressions/test-reopen.sh41
2 files changed, 43 insertions, 1 deletions
diff --git a/regressions/Makefile.am b/regressions/Makefile.am
index 2e1cb415..cd575e0e 100644
--- a/regressions/Makefile.am
+++ b/regressions/Makefile.am
@@ -28,7 +28,8 @@ TESTS = \
test-cancellation-download-librarycancels.sh \
test-qemudie-midcommand.sh \
test-qemudie-killsub.sh \
- test-qemudie-synch.sh
+ test-qemudie-synch.sh \
+ test-reopen.sh
SKIPPED_TESTS = \
test-bootbootboot.sh
diff --git a/regressions/test-reopen.sh b/regressions/test-reopen.sh
new file mode 100755
index 00000000..7901754a
--- /dev/null
+++ b/regressions/test-reopen.sh
@@ -0,0 +1,41 @@
+#!/bin/sh -
+# libguestfs
+# Copyright (C) 2009 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+# Test reopening the handle in the same process. This used to fail
+# but was corrected in 03e1f74ee08dc71bc09cc7655bf4732685f80b43.
+
+set -e
+
+rm -f test.img
+
+../fish/guestfish <<'EOF'
+reopen
+reopen
+reopen
+
+alloc test.img 5M
+run
+reopen
+
+alloc test.img 5M
+run
+reopen
+
+EOF
+
+rm -f test.img